inheritedSlotNames {methods} | R Documentation

## Names of Slots Inherited From a Super Class

### Description

For a class (or class definition, see `getClass` and the description of class `classRepresentation`), give the names which are inherited from “above”, i.e., super classes, rather than by this class' definition itself.

### Usage

    inheritedSlotNames(Class, where = topenv(parent.frame()))

### Arguments

`Class` | character string or `classRepresentation`, i.e., resulting from `getClass`.
`where` | environment, to be passed further to `isClass` and `getClass`.

### Value

character vector of slot names, or `NULL`.

### See Also

`slotNames`, `slot`, `setClass`, etc.

### Examples

    .srch <- search()
    library(stats4)
    inheritedSlotNames("mle")

    ## Not run:
    if(require("Matrix")) {
      print( inheritedSlotNames("Matrix") ) # NULL
      ## whereas
      print( inheritedSlotNames("sparseMatrix") ) # --> Dim & Dimnames
      ##  i.e. inherited from "Matrix" class

      print( cl <- getClass("dgCMatrix") ) # six slots, etc

      print( inheritedSlotNames(cl) ) # *all* six slots are inherited
    }

    ## detach package we've attached above:
    for(n in rev(which(is.na(match(search(), .srch)))))
        detach(pos = n)

    ## End(Not run)

[Package methods version 2.15.2 Index]